<p-toast></p-toast>
<div class="container">
    <div>
        <p-fieldset legend="{{'Requested lessons'|translate}}" *ngIf="sessionRequested.length > 0">
            <p-table [value]="sessionRequested">
                <ng-template pTemplate="header">
                    <tr>
                        <th *ngIf="userType != USER_TYPES.tutor" translate>Tutor</th>
                        <th *ngIf="userType != USER_TYPES.learner" translate>Learner</th>
                        <th translate>Date</th>
                        <th translate>Price</th>
                        <th translate>Actions</th>
                    </tr>
                </ng-template>
                <ng-template pTemplate="body" let-session>
                    <tr>
                        <td *ngIf="userType != USER_TYPES.tutor">
                            <img src="api/users/{{session.tutor.id}}/photo" alt="My tutor photo" width="20" height="20"
                                class="photo" />
                            <span>
                                {{session['tutor']['firstName'] +  ' ' + session['tutor']['lastName']}}
                            </span>
                        </td>
                        <td *ngIf="userType != USER_TYPES.learner">
                            <img src="api/users/{{session.learner.id}}/photo" alt="Learner photo" width="20" height="20"
                                class="photo" />
                            <span>
                                {{session['learner']['firstName'] +  ' ' + session['learner']['lastName']}}
                            </span>
                        </td>
                        <td>{{session['date'] | date: 'dd/MM/yyyy h:mm:ss'}}</td>
                        <td>{{session['tutoredClass']['price']}} CHF</td>
                        <td>
                            <span *ngIf="userType == USER_TYPES.tutor">
                                <button type="button" class="confirm-button" label="{{'Confirm'|translate}}"
                                    (click)="confirmSession(session)" pButton></button>
                                <button type="button" class="reject-button" label="{{'Reject'|translate}}"
                                    (click)="rejectSession(session)" pButton></button>
                            </span>
                        </td>
                    </tr>
                </ng-template>
            </p-table>
        </p-fieldset>
        <p-fieldset legend="{{'Next lesson'|translate}}" *ngIf="sessionNext != null">
            <p-table [value]="[sessionNext]">
                <ng-template pTemplate="header">
                    <tr>
                        <th *ngIf="userType != USER_TYPES.tutor" translate>Tutor</th>
                        <th *ngIf="userType != USER_TYPES.learner" translate>Learner</th>
                        <th translate>Date</th>
                        <th translate>Price</th>
                        <th translate>Actions</th>
                    </tr>
                </ng-template>
                <ng-template pTemplate="body" let-session>
                    <tr>
                        <td *ngIf="userType != USER_TYPES.tutor">
                            <img src="api/users/{{session.tutor.id}}/photo" alt="My tutor photo" width="20" height="20"
                                class="photo" />
                            <span>
                                {{session['tutor']['firstName'] +  ' ' + session['tutor']['lastName']}}
                            </span>
                        </td>
                        <td *ngIf="userType != USER_TYPES.learner">
                            <img src="api/users/{{session.learner.id}}/photo" alt="Learner photo" width="20" height="20"
                                class="photo" />
                            <span>
                                {{session['learner']['firstName'] +  ' ' + session['learner']['lastName']}}
                            </span>
                        </td>
                        <td>{{session['date'] | date: 'dd/MM/yyyy h:mm:ss'}}</td>
                        <td>{{session['tutoredClass']['price']}} CHF</td>
                        <td>
                            <span
                                *ngIf="((session.date - 30 * 60000) < CURRENT_DATE) && ((session.date + session.duration * 3600000 + 30 * 60000) > CURRENT_DATE) && (userType != USER_TYPES.parent)">
                                <button type="button" class="join-button" label="{{'Join'|translate}}"
                                    (click)="joinSession(session)" pButton></button>
                            </span>
                        </td>
                    </tr>
                </ng-template>
            </p-table>
        </p-fieldset>
        <p-fieldset legend="{{'My lessons'|translate}}">
            <p-table [value]="sessionFutures">
                <ng-template pTemplate="header">
                    <tr>
                        <th *ngIf="userType != USER_TYPES.tutor" translate>Tutor</th>
                        <th *ngIf="userType != USER_TYPES.learner" translate>Learner</th>
                        <th translate>Date</th>
                        <th translate>Price</th>
                        <th translate>Actions</th>
                    </tr>
                </ng-template>
                <ng-template pTemplate="body" let-session>
                    <tr>
                        <td *ngIf="userType != USER_TYPES.tutor">
                            <img src="api/users/{{session.tutor.id}}/photo" alt="My tutor photo" width="20" height="20"
                                class="photo" />
                            <span>
                                {{session['tutor']['firstName'] +  ' ' + session['tutor']['lastName']}}
                            </span>

                        </td>
                        <td *ngIf="userType != USER_TYPES.learner">
                            <img src="api/users/{{session.learner.id}}/photo" alt="Learner photo" width="20" height="20"
                                class="photo" />
                            <span>
                                {{session['learner']['firstName'] +  ' ' + session['learner']['lastName']}}
                            </span>
                        </td>
                        <td>{{session['date'] | date: 'dd/MM/yyyy h:mm:ss'}}</td>
                        <td>{{session['tutoredClass']['price']}} CHF</td>
                        <td></td>
                    </tr>
                </ng-template>
            </p-table>
        </p-fieldset>
        <p-fieldset legend="{{'Past lessons'|translate}}" [toggleable]="true" [collapsed]="false">
            <p-table [value]="sessionPasts">
                <ng-template pTemplate="header">
                    <tr>
                        <th *ngIf="userType != USER_TYPES.tutor" translate>Tutor</th>
                        <th *ngIf="userType != USER_TYPES.learner" translate>Learner</th>
                        <th translate>Date</th>
                        <th translate>Price</th>
                        <th translate>Actions</th>
                    </tr>
                </ng-template>
                <ng-template pTemplate="body" let-session>
                    <tr>
                        <td *ngIf="userType != USER_TYPES.tutor">
                            <img src="api/users/{{session.tutor.id}}/photo" alt="My tutor photo" width="20" height="20"
                                class="photo" />
                            <span>
                                {{session['tutor']['firstName'] +  ' ' + session['tutor']['lastName']}}
                            </span>
                        </td>
                        <td *ngIf="userType != USER_TYPES.learner">
                            <img src="api/users/{{session.learner.id}}/photo" alt="Learner photo" width="20" height="20"
                                class="photo" />
                            <span>
                                {{session['learner']['firstName'] +  ' ' + session['learner']['lastName']}}
                            </span>
                        </td>
                        <td>{{session['date'] | date: 'dd/MM/yyyy h:mm:ss'}}</td>
                        <td>{{session['tutoredClass']['price']}} CHF</td>
                        <td></td>
                    </tr>
                </ng-template>
            </p-table>
        </p-fieldset>
    </div>
</div>
